package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolItemRemoveAsyncRequest struct {
	/*
	   sku信息     */
	Param0 *[]domain.AlibabaHmMarketingItempoolItemRemoveAsyncItemPoolSku `json:"param0" required:"true" `
	/*
	   活动信息     */
	Param1 *domain.AlibabaHmMarketingItempoolItemRemoveAsyncCommonActivityParam `json:"param1" required:"true" `
	/*
	   alibaba.wdk.marketing.version.generate接口生成     */
	Version *int64 `json:"version" required:"true" `
}

func (s *AlibabaHmMarketingItempoolItemRemoveAsyncRequest) SetParam0(v []domain.AlibabaHmMarketingItempoolItemRemoveAsyncItemPoolSku) *AlibabaHmMarketingItempoolItemRemoveAsyncRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemRemoveAsyncRequest) SetParam1(v domain.AlibabaHmMarketingItempoolItemRemoveAsyncCommonActivityParam) *AlibabaHmMarketingItempoolItemRemoveAsyncRequest {
	s.Param1 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemRemoveAsyncRequest) SetVersion(v int64) *AlibabaHmMarketingItempoolItemRemoveAsyncRequest {
	s.Version = &v
	return s
}

func (req *AlibabaHmMarketingItempoolItemRemoveAsyncRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStructList(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	if req.Version != nil {
		paramMap["version"] = *req.Version
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolItemRemoveAsyncRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
